I faced with that error during Oracle 11.2.0.4 software installation on 19c Grid software installation on linux 7. Complete error message is:

Database Clusterware Version Compatibility – This test ensures that the Database version is compatible with the CRS version.  Error:
 – 
PRVF-4037 : CRS is not installed on any of the nodes  – Cause:  Could not identify a CRS installation on any node.  – Action:  Ensure that CRS is installed on all the nodes participating in the operation.

Operation Failed on Nodes: [node2  node1]
Verification result of failed node: node2

So how I can handle this? Its simple, run installer command as below

runInstaller -ignorePrereq